<div align="center" style="margin-top: 7rem">

# lazyREADME

<div style="margin-top: 1.5rem">

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Stars](https://img.shields.io/github/stars/raphaeleliass/lazyREADME?style=social)](https://github.com/raphaeleliass/lazyREADME/stargazers)

<div>

[![donate](https://img.shields.io/badge/donate-green.svg)](https://www.paypal.com/donate/?hosted_button_id=BN8BDRQWPXKK6)

</div>

</div>

<em align="center" style="width:80%; margin:0 auto; font-size:1.2em; color:#666">
An intuitive CLI tool to automatically generate professional READMEs for your projects.
</em>

</div>

<br>
<br>
<br>
<br>

# **🔧 Prerequisites and Installation**

<br>

### 📋 Prerequisites

- Python 3.8 or higher
- pip (Python package manager)

<br>

### ⚡ Installation

Install the package directly via pip:

```bash
pip install lazyreadme
```

<br>

> 🎉 **Done!** You're ready to use lazyREADME.

<br>

---

<br>
<br>
<br>
<br>

# **📚 Usage and Examples**

<br>

### 💡 How to Use

Navigate to your project directory and run the command:

```bash
lazyREADME
```

The assistant will guide you through the README creation process.

<br>

### ✨ Examples

lazyREADME will:

- Automatically detect your project information
- Generate a professional and well-structured README
- Allow customization through an interactive assistant
- Include important sections like installation, usage, contribution, and license

<br>

---

<br>
<br>
<br>
<br>

# **📖 Documentation**

<br>

### 🌟 Key Features

- Automatic generation of professional READMEs
- User-friendly CLI interface
- Easy content customization

<br>
<br>
<br>
<br>

# **🤝 How to Contribute**

<br>

### 📝 Contribution Process

1. Fork the repository

2. Create a new branch:

   ```bash
   git checkout -b feature-name
   ```

3. Commit your changes:

   ```bash
   git commit -m "Add new feature"
   ```

4. Push the branch:

   ```bash
   git push origin feature-name
   ```

5. Submit a pull request

<br>

### 📋 **Commit Guidelines**

> Follow semantic commit messages:

- **feat:** New feature
- **fix:** Bug fix
- **docs:** Documentation changes

<br>

---

<br>
<br>
<br>
<br>

# **⚖️ License**

<br>

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more details.

<br>

---

<br>
<br>
<br>
<br>

# **🌟 Credits**

<br>

### 👥 Authors

- [Raphael Elias](https://raphaelelias.tech/links)

<br>

### 🛠️ Technologies

- 🐍 Python 3.8+
- 📦 Main libraries:
  - questionary - For interactive CLI interface
  - colorama - For colored terminal output

<br>

---

<br>
<br>
<br>
<br>

# **📫 Contact**

<br>

### 📧 For questions or support, reach out via:

- 📨 Email: raphaeleliass@outlook.com

- 📊 GitHub Issues: [Issues Page](https://github.com/raphaeleliass/lazyREADME/issues)

<br>

---

<br>
<br>
<br>
<br>

# **💝 Donations**

<br>

### 🤞🏻 Support the Project

If you like this project and want to contribute to its continuous development, consider making a donation:

#### 🇧🇷 PIX (Brazilian Payment Method)

- PIX Key: <br> <image style="width:50%" src="./images/qr-code.png"/>
- Name: Raphael Elias
- Bank: Nu Payments

#### 💳 PayPal

- PayPal Link: [Donate](https://www.paypal.com/donate/?hosted_button_id=BN8BDRQWPXKK6)

<br>

> 💖 Your contribution helps keep this project alive and constantly evolving!

<br>

---

<br>
<br>
<br>
<br>
